import request from '@/utils/request'

// 查询转库记录列表
export function listTransfer(query) {
  return request({
    url: '/wms/transfer/list',
    method: 'get',
    params: query
  })
}

// 查询转库记录详细
export function getTransfer(transferId) {
  return request({
    url: '/wms/transfer/' + transferId,
    method: 'get'
  })
}

// 新增转库记录
export function addTransfer(data) {
  return request({
    url: '/wms/transfer',
    method: 'post',
    data: data
  })
}

// 修改转库记录
export function updateTransfer(data) {
  return request({
    url: '/wms/transfer',
    method: 'put',
    data: data
  })
}

// 删除转库记录
export function delTransfer(transferId) {
  return request({
    url: '/wms/transfer/' + transferId,
    method: 'delete'
  })
}
